%define upstream_name    Perl-MinimumVersion
%define upstream_version 1.28

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Find a minimum required version of perl for Perl code
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Perl/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.420.0
BuildRequires: perl(File::Find::Rule) >= 0.320.0
BuildRequires: perl(File::Find::Rule::Perl) >= 1.40.0
BuildRequires: perl(File::Spec) >= 0.800.0
BuildRequires: perl(List::Util) >= 1.200.0
BuildRequires: perl(PPI) >= 1.215.0
BuildRequires: perl(Params::Util) >= 0.250.0
BuildRequires: perl(Perl::Critic::Utils) >= 1.104.0
BuildRequires: perl(Test::More) >= 0.470.0
BuildRequires: perl(Test::Script) >= 1.30.0
BuildRequires: perl(version) >= 0.760.0
BuildArch:  noarch

%description
'Perl::MinimumVersion' takes Perl source code and calculates the minimum
version of perl required to be able to run it. Because it is based on the
PPI manpage, it can do this without having to actually load the code.

Currently it tests both the syntax of your code, and the use of explicit
version dependencies such as 'require 5.005'.

Future plans are to also add support for tracing module dependencies.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc Changes LICENSE META.yml README
%{_bindir}/*
%{_mandir}/man1/*
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Thu Mar 10 2011 jquelin <jquelin> 1.280.0-1.mga1
+ Revision: 67433
- update to 1.28

* Mon Feb 28 2011 jquelin <jquelin> 1.270.0-1.mga1
+ Revision: 61435
- update to 1.27

* Mon Jan 24 2011 jquelin <jquelin> 1.260.0-1.mga1
+ Revision: 37196
- mageia rebuild
- imported package perl-Perl-MinimumVersion

